Package org.eclipse.net4j.util.ui.prefs

## Class OMPreferencePage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.net4j.util.ui.prefs.OMPreferencePage

- All Implemented Interfaces:
    `IDialogPage`, `IMessageProvider`, `IPreferencePage`, `IWorkbenchPreferencePage`

      public abstract class OMPreferencePage
      extends PreferencePage
      implements IWorkbenchPreferencePage

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OMPreferencePage​(OMPreferences preferences)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addListeners​(Control control)` |
    `protected Control` | `createContents​(Composite parent)` |
    `protected abstract Control` | `createUI​(Composite parent)` |
    `protected void` | `dialogChanged()` |
    `protected IPreferenceStore` | `doGetPreferenceStore()` |
    `protected ModifyListener` | `getModifyListener()` |
    `OMPreferences` | `getPreferences()` |
    `protected SelectionListener` | `getSelectionListener()` |
    `IWorkbench` | `getWorkbench()` |
    `void` | `init​(IWorkbench workbench)` |

    - ### Methods inherited from class org.eclipse.jface.preference.PreferencePage

      `applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performDefaults, performHelp, performOk, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

    - ### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

      `computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

- - ### Constructor Detail

    - #### OMPreferencePage

          public OMPreferencePage​(OMPreferences preferences)

  - ### Method Detail

    - #### getPreferences

          public OMPreferences getPreferences()

    - #### getWorkbench

          public IWorkbench getWorkbench()

    - #### init

          public void init​(IWorkbench workbench)

      Specified by:
        `init` in interface `IWorkbenchPreferencePage`

    - #### doGetPreferenceStore

          protected IPreferenceStore doGetPreferenceStore()

      Overrides:
        `doGetPreferenceStore` in class `PreferencePage`

    - #### getSelectionListener

          protected final SelectionListener getSelectionListener()

    - #### getModifyListener

          protected final ModifyListener getModifyListener()

    - #### dialogChanged

          protected void dialogChanged()

    - #### createContents

          protected final Control createContents​(Composite parent)

      Specified by:
        `createContents` in class `PreferencePage`

    - #### addListeners

          protected void addListeners​(Control control)

    - #### createUI

          protected abstract Control createUI​(Composite parent)